/*
 * This file is generated by jOOQ.
*/
package cc.cinnamon.canary.users.model.tables.interfaces


import javax.annotation.Generated
import javax.validation.constraints.NotNull
import javax.validation.constraints.Size
import java.io.Serializable


/**
 * This class is generated by jOOQ.
 */
@Generated(value = *arrayOf("http://www.jooq.org", "jOOQ version:3.9.1", "schema version:public_4"), date = "2017-02-20T21:56:50.783Z", comments = "This class is generated by jOOQ")
interface IPermissions : Serializable {

    /**
     * Getter for `public.permissions.id`.
     */
    /**
     * Setter for `public.permissions.id`.
     */
    var id: Long?

    /**
     * Getter for `public.permissions.name`.
     */
    /**
     * Setter for `public.permissions.name`.
     */
    @get:NotNull
    @get:Size(max = 10)
    var name: String

    /**
     * Getter for `public.permissions.description`.
     */
    /**
     * Setter for `public.permissions.description`.
     */
    var description: String

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * Load data from another generated Record/POJO implementing the common interface IPermissions
     */
    fun from(from: IPermissions)

    /**
     * Copy data into another generated Record/POJO implementing the common interface IPermissions
     */
    fun <E : IPermissions> into(into: E): E
}
